SEQEND

Discussion in 'AutoCAD' started by tsigwing, Apr 6, 2004.

  1. tsigwing

    tsigwing Guest

    Trying to clean up some of the old drawings and I have a layer that wouldn't go away. I dxfout and find that the only place the layer exists (besides the layer table) is in the following:

    0
    SEQEND
    5
    9407
    330
    9405
    100
    AcDbEntity
    8
    A-PFLR-LGHT


    Is there anyway besides editing the dxfout file to either erase the seqend or change it to another layer?
     
    tsigwing, Apr 6, 2004
    #1
  2. tsigwing

    Jeff Mishler Guest

    Try this, if it doesn't work, could you send me a small sample file able to
    be read in release 2002? I have tested this on a number of old style
    polylines that have the SEQEND on a layer different than the main entity and
    they are repaired.

    HTH,
    Jeff

    (defun c:fix_seqend (/ lay)
    (vl-load-com)
    (vlax-for blk (vla-get-blocks
    (vla-get-activedocument
    (vlax-get-acad-object)
    )
    )
    (vlax-for ent blk
    (if (or (= (vla-get-objectname ent) "AcDb2dPolyline")
    (= (vla-get-objectname ent) "AcDbBlockReference")
    )
    (progn
    (setq lay (vla-get-layer ent))
    (vla-put-layer ent lay)
    )
    )
    )
    )
    (princ)
    )


    wouldn't go away. I dxfout and find that the only place the layer exists
    (besides the layer table) is in the following:
    or change it to another layer?
     
    Jeff Mishler, Apr 6, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.